%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global	gem_name	json
%global gem_extdir %{gem_extdir_mri}
%{!?gem_extdir: %global gem_extdir %{gem_instdir}/extdir}

Summary: JSON Implementation for Ruby
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.8.2
Release: 2%{?dist}
Group: Development/Languages
License: Ruby
URL: http://flori.github.com/json
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(release)
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby 
BuildRequires: %{?scl_prefix}rubygems-devel 
BuildRequires: %{?scl_prefix}ruby-devel 
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
This is a implementation of the JSON specification according
to RFC 4627 in Ruby.
You can think of it as a low fat alternative to XML,
if you want to store data to disk or transmit it over
a network rather than use a verbose markup language.

%package	doc
Summary:	Documentation for %{name}
Group:		Documentation

Requires:	%{name} = %{version}-%{release}

%description	doc
This package contains documentation for %{name}.

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --bindir .%{_bindir} \
            --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}/%{gem_dir}

find %{buildroot}%{gem_instdir} -name \*.rb -print0 | \
	xargs --null chmod 0644

# We don't need those files anymore.
rm -rf %{buildroot}%{gem_instdir}/ext
rm -rf %{buildroot}%{gem_instdir}/install.rb
rm -rf %{buildroot}%{gem_instdir}/{.require_paths,.gitignore,.travis.yml}
rm -rf %{buildroot}%{gem_instdir}/lib/json/ext/.keep
rm -rf %{buildroot}%{gem_instdir}/diagrams
rm -rf %{buildroot}%{gem_docdir}/rdoc/classes/.src
rm -rf %{buildroot}%{gem_docdir}/rdoc/classes/.html

rm -rf %{buildroot}%{gem_instdir}/java/

# remove pure
rm -fr %{buildroot}%{gem_instdir}/lib/json/pure*

%files
%doc %{gem_instdir}/[A-Z]*
%dir %{gem_instdir}
%dir %{gem_libdir}
%dir %{gem_libdir}/%{gem_name}
%{gem_instdir}/tools/
%{gem_libdir}/%{gem_name}.rb
%{gem_libdir}/%{gem_name}/add
%{gem_libdir}/%{gem_name}/ext
%{gem_libdir}/%{gem_name}/common.rb
%{gem_libdir}/%{gem_name}/ext.rb
%{gem_libdir}/%{gem_name}/version.rb
%{gem_libdir}/%{gem_name}/generic_object.rb
%{gem_spec}
%exclude %{gem_cache}
%exclude %{gem_instdir}/Rakefile

%files      doc
%{gem_instdir}/Rakefile
%{gem_instdir}/data
%{gem_instdir}/*gemspec
%{gem_docdir}/
%exclude %{gem_instdir}/tests


%changelog
* Fri Apr 17 2015 Joe VLcek <jvlcek@redhat.com> - 1.8.2-2
- Leave arch dependent files where gem install put them.

* Wed Dec 10 2014 Joe VLcek <jvlcek@redhat.com> - 1.8.2-1
- Update to version 1.8.2

* Wed Dec 10 2014 Joe VLcek <jvlcek@redhat.com> - 1.8.0-5
- Use gem_extdir_mri macro

* Fri Dec 05 2014 Joe VLcek <jvlcek@redhat.com> - 1.8.0-4
- Remove the rubyabi macro

* Tue Jul 30 2013 John Eckersberg <jeckersb@redhat.com> - 1.8.0-3
- Fix usage of gem_extdir macro

* Fri Jul 26 2013 Steve Linabery <slinaber@redhat.com> - 1.8.0-2
- various scl-related specfile fixes

* Mon Jul 22 2013 Mo Morsi <mmorsi@redhat.com> - 1.8.0-1
- New upstream release
- Updated for rhel

* Tue Mar 26 2013 Josef Stribny <jstribny@redhat.com> - 1.7.7-100
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0
- Update to JSON 1.7.7

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 06 2012 Xavier Lamien <laxathom@lxtnow.net> - 1.7.5-1
- Update to Upstream release.
- Add mtasaka changes request.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jan 21 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.6.5-1
- 1.6.5

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 1.4.6-2
- Rebuilt for gcc bug 634757

* Sat Sep 18 2010 Xavier Lamien <laxathom@fedoraproject.org> - 1.4.6-1
- Update release.
- Enabled test stage.

* Fri Jun 11 2010 Xavier Lamien <laxathom@fedoraproject.org> - 1.4.3-3
- Move ruby's site_lib editor to ruby-json-gui.

* Mon May 10 2010 Xavier Lamien <laxathom@fedoraproject.org> - 1.4.3-2
- Move editor out of ruby-json sub-package.

* Sun May 09 2010 Xavier Lamien <laxathom@fedoraproject.org> - 1.4.3-1
- Update release.
- Split-out json editor.

* Thu Oct 29 2009 Xavier Lamien <laxathom@fedoraproject.org> - 1.1.9-1
- Update release.

* Wed Aug 12 2009 Xavier Lamien <laxathom@fedoraproject.org> - 1.1.7-3
- Fix gem scripts and install_dir.
- Enable %%check stage.

* Wed Aug 05 2009 Xavier Lamien <laxathom@fedoraproject.org> - 1.1.7-2
- Rebuild in correct buildir process.
- Add sub packages.

* Mon Aug 03 2009 Xavier Lamien <laxathom@fedoraproject.org> - 1.1.7-1
- Update release.

* Sat Jun 06 2009 Xavier Lamien <laxathom@fedoraproject.org> - 1.1.6-1
- Update release.

* Tue May 12 2009 Xavier Lamien <laxathom@fedoraproject.org> - 1.1.5-1
- Update release.

* Thu Apr 02 2009 Xavier Lamien <laxathom@fedoraproject.org> - 1.1.4-1
- Update release.

* Sat Jul 12 2008 Xavier Lamien <laxathom@fedoraproject.org> - 1.1.3-1
- Initial RPM release.
